package com.gh.gamecenter.entity;

import android.text.TextUtils;

import com.google.gson.annotations.SerializedName;

public class ApkEntity {

	@SerializedName("package")
	private String packageName;

	private String size;

	private String url;

	private String platform;

	private String version;

	@SerializedName("gh_version")
	private String ghVersion;

	private String etag;

	private GameCollectionEntity apkCollection;

	public GameCollectionEntity getApkCollection() {
		return apkCollection;
	}

	public void setApkCollection(GameCollectionEntity apkCollection) {
		this.apkCollection = apkCollection;
	}

	public String getPackageName() {
		return packageName;
	}

	public void setPackageName(String packageName) {
		this.packageName = packageName;
	}

	public String getSize() {
		return size;
	}

	public void setSize(String size) {
		this.size = size;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getPlatform() {
		if (TextUtils.isEmpty(platform)) {
			return "官方版";
		}
		return platform;
	}

	public void setPlatform(String platform) {
		this.platform = platform;
	}

	public String getVersion() {
		return version;
	}

	public void setVersion(String version) {
		this.version = version;
	}

	public String getGhVersion() {
		return ghVersion;
	}

	public void setGhVersion(String ghVersion) {
		this.ghVersion = ghVersion;
	}

	public String getEtag() {
		return etag;
	}

	public void setEtag(String etag) {
		this.etag = etag;
	}

}
